import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/stock/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/stock/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/stock/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/stock/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/stock/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/stock/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/stock/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function batchOut(idList) {
  return request.post(constant.serverUrl + "/base/stock/batchOut", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove, batchOut
}